Skip to content

Query Video Generation Task List - Default

GET https://www.kkiai.com/volc/v1/contents/generations/tasks

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Query Parameters

ParameterTypeRequiredDescriptionExample
page_sizestringOptional3
filter.statusstringOptionalsucceeded

cURL Example

bash
curl --location --request GET 'https://www.kkiai.com/volc/v1/contents/generations/tasks?page_size=3&filter.status=succeeded' \
--header 'Authorization: Bearer <token>'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
totalintegerRequired
itemsarray[object]Required
  └ idstringRequired
  └ modelstringRequired
  └ statusstringRequired
  └ contentobjectRequired
  └ usageobjectRequired
  └ created_atintegerRequired
  └ updated_atintegerRequired

Response Example

json
{
    "total": 0,
    "items": [
        {
            "id": "string",
            "model": "string",
            "status": "string",
            "content": {
                "video_url": "string"
            },
            "usage": {
                "completion_tokens": 0,
                "total_tokens": 0
            },
            "created_at": 0,
            "updated_at": 0
        }
    ]
}